[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Help. Wrong BerkDB version -> can access repos

From: Svenne Krap <svenne_at_krap.dk>
Date: 2004-10-28 16:40:40 CEST

Hi all.

I'm running svn 1.1.0 on Gentoo Linux both CLI and through Apache2.

My trouble is, that the automatic update system (portage) has replace
BerkDB v4.1 with v.4.2...

Now the apache goes "500 Internal Server Error" and the CLI barfs
"svnlook tree .
svn: Berkeley DB error while opening environment for filesystem db:
Invalid argument
svn: bdb: Program version 4.2 doesn't match environment version"

Any easy way to recover the data from the repos (I would personally like
not to have to downgrade BerkDB).

Thank's in advance

Svenne

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Thu Oct 28 16:40:16 2004

This is an archived mail posted to the Subversion Users mailing list.